Announcement

Collapse
No announcement yet.

4.2.3 to 4.2.4 - PHP5.4 to PHP 5.6 - white screen when enabling opcode cacher

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • [Forum] 4.2.3 to 4.2.4 - PHP5.4 to PHP 5.6 - white screen when enabling opcode cacher

    Hi all,

    I've recently updated from PHP5.4 (running vb4.2.3) to PHP5.6.30 via EasyApache 4 on WHM. As soon I restarted Apache, I got a white screen and the forum wouldn't load. I was running XCache so I disabled this in config.php and now the forum loads ok. My host told me that Xcache is not supported in PHP5.6 so I disabled it in php.ini.

    Now I've tried to install APCu and as soon as I enable this in config.php I get the white screen again.

    If I enable Filecache then it appears to work and the site loads ok.

    Hoping someone can assist with this issue. Much appreciated.

  • #2
    OK so after some more searching it seems that Zend Opcache is enabled by default in PHP 5.5 and above...which it is. So do I really need another opcode cache mechanism?

    Comment


    • #3
      Originally posted by glennybee View Post
      My host told me that Xcache is not supported in PHP5.6 so I disabled it in php.ini.
      Your host lied to you, xcache supports php 5.6 just fine, Ive been using it (v 3.2.0) for over a year.

      (https://xcache.lighttpd.net/wiki/Release-3.2.0)
      Baby, I was born this way

      Comment


      • #4
        Hello,

        Both XCache and Zend OPCache do basically the same thing.

        ​​​​​You can use either one not both because you'll get fatal errors like "cannot redeclare class *****" that renders your forum unable to load.

        I recommend you to stick with Zend OPCache.

        Kind regards,
        George.

        Comment

        widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
        Working...
        X